Operations - List
Microsoft.Search 공급자의 사용 가능한 모든 REST API 작업을 나열합니다.
GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
각 요청에 사용할 API 버전입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
성공. 응답은 작업 목록을 설명합니다. |
|
| Other Status Codes |
작업 API가 실패했습니다. |
보안
azure_auth
Microsoft Entra ID OAuth2 권한 부여 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
OperationsList
샘플 요청
GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01
샘플 응답
{
"value": [
{
"name": "Microsoft.Search/operations/read",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "List all available operations",
"description": "Lists all of the available operations of the Microsoft.Search provider."
}
},
{
"name": "Microsoft.Search/register/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Register the Search Resource Provider",
"description": "Registers the subscription for the search resource provider and enables the creation of search services."
}
},
{
"name": "Microsoft.Search/searchServices/write",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Set Search Service",
"description": "Creates or updates the search service."
}
},
{
"name": "Microsoft.Search/searchServices/read",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Get Search Service",
"description": "Reads the search service."
}
},
{
"name": "Microsoft.Search/searchServices/delete",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Delete Search Service",
"description": "Deletes the search service."
}
},
{
"name": "Microsoft.Search/searchServices/start/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Start Search Service",
"description": "Starts the search service."
}
},
{
"name": "Microsoft.Search/searchServices/stop/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Stop Search Service",
"description": "Stops the search service."
}
},
{
"name": "Microsoft.Search/searchServices/listAdminKeys/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Get Admin Key",
"description": "Reads the admin keys."
}
},
{
"name": "Microsoft.Search/searchServices/regenerateAdminKey/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Regenerate Admin Key",
"description": "Regenerates the admin key."
}
},
{
"name": "Microsoft.Search/searchServices/listQueryKeys/action",
"display": {
"provider": "Microsoft Search",
"resource": "API Keys",
"operation": "Get Query Keys",
"description": "Returns the list of query API keys for the given Azure Search service."
}
},
{
"name": "Microsoft.Search/searchServices/createQueryKey/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Create Query Key",
"description": "Creates the query key."
}
},
{
"name": "Microsoft.Search/searchServices/deleteQueryKey/delete",
"display": {
"provider": "Microsoft Search",
"resource": "API Keys",
"operation": "Delete Query Key",
"description": "Deletes the query key."
}
},
{
"name": "Microsoft.Search/checkNameAvailability/action",
"display": {
"provider": "Microsoft Search",
"resource": "Service Name Availability",
"operation": "Check Service Name Availability",
"description": "Checks availability of the service name."
}
},
{
"name": "Microsoft.Search/searchServices/diagnosticSettings/read",
"display": {
"provider": "Microsoft Search",
"resource": "Diagnostic Settings",
"operation": "Get Diagnostic Setting",
"description": "Gets the diganostic setting read for the resource"
}
},
{
"name": "Microsoft.Search/searchServices/diagnosticSettings/write",
"display": {
"provider": "Microsoft Search",
"resource": "Diagnostic Settings",
"operation": "Set Diagnostic Setting",
"description": "Creates or updates the diganostic setting for the resource"
}
},
{
"name": "Microsoft.Search/searchServices/metricDefinitions/read",
"display": {
"provider": "Microsoft Search",
"resource": "The metric definitions for the search service",
"operation": "Read search service metric definitions",
"description": "Gets the available metrics for the search service"
}
},
{
"name": "Microsoft.Search/searchServices/logDefinitions/read",
"display": {
"provider": "Microsoft Search",
"resource": "The log definition for the search service",
"operation": "Read search service log definitions",
"description": "Gets the available logs for the search service"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/validate/action",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy",
"operation": "Validate Private Endpoint Connection Proxy",
"description": "Validates a private endpoint connection create call from NRP side"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/write",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy",
"operation": "Create Private Endpoint Connection Proxy",
"description": "Creates a private endpoint connection proxy with the specified parameters or updates the properties or tags for the specified private endpoint connection proxy"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/read",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy",
"operation": "Get Private Endpoint Connection Proxy",
"description": "Returns the list of private endpoint connection proxies or gets the properties for the specified private endpoint connection proxy"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/delete",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy",
"operation": "Delete Private Endpoint Connection Proxy",
"description": "Deletes an existing private endpoint connection proxy"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/write",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection",
"operation": "Create Private Endpoint Connection",
"description": "Creates a private endpoint connections with the specified parameters or updates the properties or tags for the specified private endpoint connections"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/read",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection",
"operation": "Get Private Endpoint Connection",
"description": "Returns the list of private endpoint connections or gets the properties for the specified private endpoint connections"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/delete",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection",
"operation": "Delete Private Endpoint Connection",
"description": "Deletes an existing private endpoint connections"
}
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/write",
"display": {
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource",
"operation": "Create Shared Private Link Resource",
"description": "Creates a new shared private link resource with the specified parameters or updates the properties for the specified shared private link resource"
}
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/read",
"display": {
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource",
"operation": "Get Shared Private Link Resource",
"description": "Returns the list of shared private link resources or gets the properties for the specified shared private link resource"
}
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/delete",
"display": {
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource",
"operation": "Delete Shared Private Link Resource",
"description": "Deletes an existing shared private link resource"
}
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/operationStatuses/read",
"display": {
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource",
"operation": "Get Operation Status",
"description": "Get the details of a long running shared private link resource operation"
}
}
]
}
정의
| Name | Description |
|---|---|
|
Cloud |
API 오류에 대한 정보를 포함합니다. |
|
Cloud |
오류 코드 및 메시지를 사용하여 특정 API 오류를 설명합니다. |
| Display |
작업을 설명하는 개체입니다. |
| Operation |
REST API 작업을 설명합니다. |
|
Operation |
REST API 작업을 나열하는 요청의 결과입니다. 여기에는 다음 결과 집합을 가져오는 작업 목록과 URL이 포함됩니다. |
CloudError
API 오류에 대한 정보를 포함합니다.
| Name | 형식 | Description |
|---|---|---|
| error |
오류 코드 및 메시지를 사용하여 특정 API 오류를 설명합니다. |
CloudErrorBody
오류 코드 및 메시지를 사용하여 특정 API 오류를 설명합니다.
| Name | 형식 | Description |
|---|---|---|
| code |
string |
HTTP 상태 코드보다 오류 조건을 보다 정확하게 설명하는 오류 코드입니다. 프로그래밍 방식으로 특정 오류 사례를 처리하는 데 사용할 수 있습니다. |
| details |
이 오류와 관련된 중첩된 오류를 포함합니다. |
|
| message |
string |
오류를 자세히 설명하고 디버깅 정보를 제공하는 메시지입니다. |
| target |
string |
특정 오류의 대상입니다(예: 오류에 있는 속성의 이름). |
Display
작업을 설명하는 개체입니다.
| Name | 형식 | Description |
|---|---|---|
| description |
string |
작업의 이름입니다. |
| operation |
string |
작업 유형: 읽기, 쓰기, 삭제, listKeys/action 등입니다. |
| provider |
string |
리소스 공급자의 이름입니다. |
| resource |
string |
작업이 수행되는 리소스 종류입니다. |
Operation
REST API 작업을 설명합니다.
| Name | 형식 | Description |
|---|---|---|
| display |
작업을 설명하는 개체입니다. |
|
| name |
string |
작업의 이름입니다. 이 이름은 {provider}/{resource}/{operation}형식입니다. |
OperationListResult
REST API 작업을 나열하는 요청의 결과입니다. 여기에는 다음 결과 집합을 가져오는 작업 목록과 URL이 포함됩니다.
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string |
작업 목록 결과의 다음 집합을 가져올 URL(있는 경우)입니다. |
| value |
리소스 공급자가 지원하는 작업 목록입니다. |